<html>
    <head>
        <script>

            // Send messages to Megafame
            function sendMessageToClient(message) {
                window.top.postMessage(message, "*");
            }

            // Receive messages from Megafame
            window.addEventListener("message", function(event) {
                if (event.data.type === 'bet_result') {
                    console.log('received bet: ')
                    console.log(event.data) 
                }
            });

            // When the Plinko game is loaded, notify Megafame
            function simulateOnLoaded() {
                sendMessageToClient({
                    'type': 'on_loaded'
                });
            }

            // When bet is placed, notify Megafame
            function userBet() {
                sendMessageToClient({
                    'type': 'bet',
                    'level': 'mid',
                    'bet': 100
                });
            };

        </script>
    </head>
<body>

    <button onclick="simulateOnLoaded()">Simulate On Loaded</button>
    <br>
    <button onclick="userBet()">Place Bet</button>

</body>
</html>